local RECHARGE = 45
local LEFT = 46

UIFrame = {}
UIFrame.__index = UIFrame
setmetatable(UIFrame, {__call = function (class, ...) return class.new(...) end})

function UIFrame.new(actionButton, id, usage)
	local self = setmetatable({}, UIFrame)
	self.id = id
	self.actionButton = actionButton
	self.usage = usage
	return self
end

function UIFrame:createActionButtonControl()

	self.abc = WINDOW_MANAGER:CreateTopLevelWindow("RechargeCounter_Control" .. self.id)

	self.abc:SetDimensions(100, 20)
	self.abc:SetAnchor(BOTTOM, self.actionButton, TOP, 0, 0)
	self.abc:SetScale(1.0)
	self.abc:SetDrawLayer(2)

	self.abc:SetAllowBringToTop(true)
	self.abc:BringWindowToTop()
	
	if(self.usage == RECHARGE) then
		self.abc.label = WINDOW_MANAGER:CreateControl("RechargeCounter_ControlLabel" .. self.id, self.abc, CT_LABEL)
		self.abc.label:SetAnchor(CENTER, self.abc, CENTER, db.recharge.labelPositionX, db.recharge.labelPositionY)
		self.abc.label:SetFont(db.recharge.font)
		self.abc.label:SetScale(1)
		self.abc.label:SetColor(db.recharge.fontColor.r, db.recharge.fontColor.g, db.recharge.fontColor.b, db.recharge.fontColor.a)
		self.abc.label:SetDrawLayer(2)
	elseif(self.usage == LEFT) then
		self.abc.label = WINDOW_MANAGER:CreateControl("RechargeCounter_ControlLabel" .. self.id, self.abc, CT_LABEL)
		self.abc.label:SetAnchor(CENTER, self.abc, CENTER, db.left.labelPositionX, db.left.labelPositionY)
		self.abc.label:SetFont(db.left.font)
		self.abc.label:SetScale(1)
		self.abc.label:SetColor(db.left.fontColor.r, db.left.fontColor.g, db.left.fontColor.b, db.left.fontColor.a)
		self.abc.label:SetDrawLayer(2)
	end
	
	return self.abc
end


